SSL_set_verify_result(3)

NAME
SSL_set_verify_result - override result of peer certificate verification

SYNOPSIS
 #include <openssl/ssl.h>

 void SSL_set_verify_result(SSL *ssl, long verify_result);

DESCRIPTION
SSL_set_verify_result() sets verify_result of the object ssl to be the result of the verification of the X509 certificate presented by the peer, if any.

NOTES
SSL_set_verify_result() overrides the verification result. It only changes the verification result of the ssl object. It does not become part of the established session, so if the session is to be reused later, the original value will reappear.

The valid codes for verify_result are documented in openssl-verify(1).

RETURN VALUES
SSL_set_verify_result() does not provide a return value.

SEE ALSO
ssl(7), SSL_get_verify_result(3), SSL_get_peer_certificate(3), openssl-verify(1)

COPYRIGHT
Copyright 2000-2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.